Subject: Re: [PATCH] git-svn: fix commiting renames over DAV with funky file names

From: Rogan Dawes <[email-masked]>
Date: Mon, 16 Jul 2007 08:36:27 +0200

Eric Wong wrote:
> Renaming files with non-URI friendly characters caused
> breakage when committing to DAV repositories (over http(s)).
> 
> Even if I try leaving out the $self->{url} from the return value
> of url_path(), a partial (without host), unescaped path name
> does not work.
> 
> Filenames for DAV repos need to be URI-encoded before being
> passed to the library.  Since this bug did not affect file://
> and svn:// repos, the git-svn test library needed to be expanded
> to include support for starting Apache with mod_dav_svn enabled.
> 
> This new test is not enabled by default, but can be enabled by
> setting SVN_HTTPD_PORT to any available TCP/IP port on
> 127.0.0.1.
> 
> Additionally, for running this test, the following variables
> (with defaults shown) can be changed for the suitable system.
> The default values are set for Debian systems:
> 
>   SVN_HTTPD_MODULE_PATH=/usr/lib/apache2/modules
>   SVN_HTTPD_PATH=/usr/sbin/apache2
> 
> Signed-off-by: Eric Wong <[email-masked]>
> ---
> 
>  Rogan: the patch should help, a single space anywhere in the
>  path causes SVN to screw up the file names.  Of course I'm at a
>  loss as to why only DAV repositories need it and why the SVN
>  libraries don't abstract that away from me.
> 

Hi Eric,

Unfortunately, I cannot test this patch, as I have since worked around 
the problem, and it has not reappeared.

If it does, I'll be sure to test and let you know. Unless this patch 
makes it into the version of git I am using, of course!

Rogan